Download it now!
Bug 125984 - FILEOPEN DOCX Change tracked numbering lost before empty paragraph
Summary: FILEOPEN DOCX Change tracked numbering lost before empty paragraph
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Track-Changes
  Show dependency treegraph
 
Reported: 2019-06-18 10:50 UTC by NISZ LibreOffice Team
Modified: 2019-08-12 12:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (19.37 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-06-18 10:50 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (153.23 KB, image/png)
2019-06-18 10:51 UTC, NISZ LibreOffice Team
Details
Opening the example file in current 6.4 master and Word side by side (137.87 KB, image/png)
2019-08-09 08:12 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-06-18 10:50:41 UTC
Created attachment 152267 [details]
Example file from Word

Numbering is lost from a deleted change tracked paragraph if there is an empty, unnumbered paragraph after it.


Steps to reproduce:
    1. Create some numbered paragraphs in Word
    2. Add an empty non numbered paragraph after the second paragraph
    3. Enable change tracking and delete the second paragraph
    4. Save the file and open it in Writer

Actual results:
The numbering is not preserved in Writer, if there is an empty paragraph after the deleted one. This is problematic in the “Reject all changes” use case.

Expected results:
The numbering should be preserved on opening.

LibreOffice details:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 99971d009e9c96d1d47aec14ecfbfeaa06dc140d
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-18_03:59:27
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

But not in:
Verzió: 6.2.4.1
Build az.: 170a9c04e0ad25cd937fc7a913bb06bf8c75c11d
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: GL; VCL: win; 
Területi beállítások: hu-HU (hu_HU); UI nyelve: hu-HU
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-06-18 10:51:15 UTC
Created attachment 152268 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 NISZ LibreOffice Team 2019-06-18 10:55:56 UTC
cgit URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=8acc15b5113c798ecdbeed91456a92e7b0c1334e 
author László Németh <nemeth@numbertext.org> Wed May 08 19:00:18 2019 +0200 committer László Németh <nemeth@numbertext.org> Wed May 15 08:18:17 2019 +0200

tdf#118699 DOCX import: don't add numbering
Comment 3 Xisco Faulí 2019-06-18 12:38:33 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: af37bb23f63b209af1193e20177c3aacbd777543
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Gabor Kelemen 2019-08-09 08:12:05 UTC
Created attachment 153252 [details]
Opening the example file in current 6.4 master and Word side by side

Seems like this is now fixed in 

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 3ab2df3cf755ecd0e3e31ad06872426d24222c31
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

Numbering is displayed for deleted paragraphs again. 
Accepting or rejecting also changes numbering correctly, nothing is added or lost compared to Word.
Comment 5 László Németh 2019-08-09 08:47:10 UTC
Fixed by commit 1aac73a1fb260e4c76a483a68f003913fdd2c4bb

"tdf#125990 change tracking: remove text join workaround

at wholly deletion of paragraphs, disable failing unit tests
related to the temporary regressions.

This partially revert commits

commit 22639148ae5400bac98f32a75d7431b857c80195
    "tdf#54819 change tracking: keep paragraph style after full deletion"
commit 8acc15b5113c798ecdbeed91456a92e7b0c1334e
    "tdf#118699 DOCX import: don't add numbering."
commit caeb6ff68d49e1b1ca911cf3f63371b855ee935d
    "DOCX import: clean-up FinalizeImport() of change tracking"
etc."
Comment 6 Xisco Faulí 2019-08-12 12:24:58 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 2812610f4f39ed5892da08864893c758325d1d39
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded